User Data Stream (sharing)
Operations related to User Data Streams for streaming all content and identifiers collected in a source Datamart to a destination Datamart in real-time. Enables cross-datamart data sharing and multi-organization data flows while maintaining data integrity, supporting use cases like data consolidation, partner data sharing, and multi-brand data aggregation.
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_data_stream_subscriptions HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"max_results": 1,
"first_result": 1,
"count": 1,
"status": "ok",
"total": 1,
"data": [
{
"id": "text",
"service_agreement_id": "text"
}
]
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/user_data_stream_subscriptions HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"service_agreement_id": "text"
}{
"status": "ok",
"data": {
"id": "text",
"service_agreement_id": "text"
}
}Delete user datastream subscription
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/user_data_stream_subscriptions/{subscription_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?